Library Version 18.1.40

operator->
Prev | Chapter 15. Db_map_base_iterator | Next

## operator->

### Function Details

    pointer operator->() const

Arrow operator.

Return the pointer to the cached data element, which is an pair<Key_type, T>. You can only read its referenced data via this iterator but can not update it.

#### Return Value

Current data element reference object's address, i.e. address of ElementHolder or ElementRef object.

### Class

db_map_base_iterator

Prev | Up | Next
operator * | Home | refresh